aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/assert-changelog.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-16 13:51:01 -0300
committerEuAndreh <eu@euandre.org>2021-06-16 13:51:01 -0300
commitd38e15acc6bdc17944b7515297b3d94eb0c12bc0 (patch)
treef4a94a53591a6631f58fed77f1b41401b7ef0698 /aux/workflow/assert-changelog.sh
parentaux/: Update (diff)
downloadeuandre.org-d38e15acc6bdc17944b7515297b3d94eb0c12bc0.tar.gz
euandre.org-d38e15acc6bdc17944b7515297b3d94eb0c12bc0.tar.xz
aux/: Update
Diffstat (limited to '')
-rwxr-xr-xaux/workflow/assert-changelog.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/aux/workflow/assert-changelog.sh b/aux/workflow/assert-changelog.sh
index bef610b..dc8867f 100755
--- a/aux/workflow/assert-changelog.sh
+++ b/aux/workflow/assert-changelog.sh
@@ -1,9 +1,18 @@
#!/bin/sh
set -eu
+TLD="$(cat aux/tld.txt)"
PROJECT="$1"
shift
+HOMEPAGE_LINK="Changelog for [$PROJECT](https://$TLD/$PROJECT/)."
+
+if ! grep -qF "$HOMEPAGE_LINK" CHANGELOG.md; then
+ echo "Missing link to homepage in CHANGELOG.md:" >&2
+ echo "$HOMEPAGE_LINK"
+ exit 1
+fi
+
assert() {
DATE="$1"
VVERSION="$2"